DURDRAW(1)

NAME
durdraw - versatile ASCII and ANSI Art text editor for drawing in terminal

SYNOPSIS
durdraw [-h] [-p PLAY [PLAY ...]] [--startup | -w | -x TIMES] [--256color | --16color] [-b] [-W WIDTH] [-H HEIGHT] [-m] [--nomouse] [--cursor CURSOR] [--notheme] [--theme THEME] [--cp437] [--export-ansi] [-u UNDOSIZE] [-V] [filename]

DESCRIPTION
Durdraw is an ASCII, ANSI and Unicode art editor for UNIX-like systems (Linux, macOS, etc). It runs in modern Utf-8 terminals and supports frame-based animation, custom themes, 256 and 16 color modes, terminal mouse input, DOS ANSI art viewing, CP437 and Unicode mixing and conversion, HTML output, mIRC color output, and other interesting features.

Durdraw is heavily inspired by classic ANSI editing software for MS-DOS and Windows, such as TheDraw, Aciddraw and Pablodraw, but with a modern Unix twist.

  positional arguments:

filename
    .dur or ascii file to load

  options:

-h, --help
    show this help message and exit

-p PLAY [PLAY ...], --play PLAY [PLAY ...]
    Just play .dur file or files, then exit

--startup
    Show startup screen

-w, --wait
    Pause at startup screen

-x TIMES, --times TIMES
    Play X number of times (requires -p)

--256color
    Try 256 color mode

--16color
    Try 16 color mode

-b, --blackbg
    Use a black background color instead of terminal default

-W WIDTH, --width WIDTH
    Set canvas width

-H HEIGHT, --height HEIGHT
    Set canvas height

-m, --max
    Maximum canvas size for terminal (overrides -W and -H)

--nomouse
    Disable mouse support

--cursor CURSOR
    Cursor mode (block, underscore, or pipe)

--notheme
    Disable theme support (use default theme)

--theme THEME
    Load a custom theme file

--cp437
    Display extended characters on the screen using Code Page 437 (IBM-PC/MS-DOS) encoding instead of Utf-8. (Requires CP437 capable terminal and font) (beta)

--export-ansi
    Export loaded art to an .ansi file and exit

-u UNDOSIZE, --undosize UNDOSIZE
    Set the number of undo history states - default is 100. More requires more RAM, less saves RAM.

-V, --version
    Show version number and exit

SEE ALSO
durfetch, durview

AUTHOR
Durdraw is primarily written by Sam Foster <samfoster@gmail.com>. For a full list of contributors, please see the Github page: https://github.com/cmang/durdraw